IXP_MOUNT(3)

NAME

ixp_mount, ixp_mountfd, ixp_nsmount, IxpClient

SYNOPSIS
  #include <ixp.h>

  IxpClient *ixp_mount(const char *address);

  IxpClient *ixp_mountfd(int fd);

  IxpClient *ixp_nsmount(const char *name);

  typedef struct IxpClient IxpClient;
  struct IxpClient {
          int     fd;
          uint    msize;
          uint    lastfid;

          /* Private members */
          ...
  }

PARAMETERS

fd  A file descriptor which is already connected to a 9P server.

address
    An address (in Plan 9 resource fomat) at which to connect to a 9P server.

name
    The name of a socket in the process's canonical namespace directory.

DESCRIPTION

Initiate a 9P connection with the server at IaddressR, connected to on IfdR, or under the process's namespace directory as InameR.

RETURN VALUE

A pointer to a new 9P client.

SEE ALSO

ixp_open(3), ixp_create(3), ixp_remove(3), ixp_unmount(3)